=== debian/changelog ===
golang-github-smallstep-cli (0.15.16+ds-4) unstable; urgency=medium

  * Team upload.
  * [ee1dcee] Set Standards-Version to 4.6.2.
  * [2604899] Add golang-golang-x-net-dev to depends.

 -- Anton Gladky <gladk@debian.org>  Wed, 18 Oct 2023 21:27:58 +0200

golang-github-smallstep-cli (0.15.16+ds-3) unstable; urgency=medium

  * Updating maintainer info
  * Updating Standards-Version

 -- Peymaneh <peymaneh@posteo.net>  Tue, 20 Dec 2022 15:50:53 +0100

golang-github-smallstep-cli (0.15.16+ds-2) unstable; urgency=medium

  * Team Upload.
  * Cherry-pick upstream patch to fix FTBFS (Closes: #997559)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 26 Oct 2021 03:23:57 +0530

golang-github-smallstep-cli (0.15.16+ds-1) unstable; urgency=medium

  * Team Upload.
  [ Peymaneh Nejad ]
  * Testing migration
  * d/rules: disable verbosity
  * Exclude vendored blackfriday from source
  * New upstream version 0.15.16+ds

  [ Nilesh Patra ]
  * d/p/0003-Replace-references-to-vendored-blackfriday.patch: Use
    packaged blackfriday package instead of the vendored
    one, which has been repacked

 -- Nilesh Patra <nilesh@debian.org>  Wed, 25 Aug 2021 00:11:14 +0530

golang-github-smallstep-cli (0.15.16-3) unstable; urgency=medium

  * d/control: Add dependencies

 -- Peymaneh Nejad <p.nejad@posteo.de>  Sat, 10 Jul 2021 18:44:42 +0200

golang-github-smallstep-cli (0.15.16-2) unstable; urgency=medium

  * Team Upload.
  * d/copyright: Update copyright for crypto/pemutil/ssh.go

 -- Nilesh Patra <nilesh@debian.org>  Fri, 09 Jul 2021 18:07:30 +0530

golang-github-smallstep-cli (0.15.16-1) unstable; urgency=medium

  * Initial release (Closes: #989857)

 -- Peymaneh Nejad <p.nejad@posteo.de>  Fri, 09 Jul 2021 10:15:58 +0530
