=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE := 1
export DH_GOPKG := github.com/smallstep/cli

# This package is only needed for one library: crypto/x509util
# Exclude packages that are not needed to keep dependencies simple.
export DH_GOLANG_BUILDPKG := $(DH_GOPKG)/crypto/x509util
export DH_GOLANG_EXCLUDES := cmd/ \
			     crypto/kdf/ \
			     crypto/pemutil/testdata/ \
			     crypto/sshutil \
			     exec/ \
			     flags/ \
			     integration/ \
			     jose/ \
			     token/ \
		             utils/cautils/

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
